/*
 *
 *
 *    sgd.cc
 *
 *    Simple C++ application to gateway a serial device into a Unix
 *    socket, to allow multiple clients to connect simultaneously.
 *
 *    Copyright (C) 2003 by the Grand River Dam Authority,
 *    All rights reserved.
 *
 *    Author: Matt Roberts
 *
 *
 */


// local includes
#include "sgdserver.h"
#include "signals.h"

// namespaces
using namespace my;
using namespace std;

/*
 *
 *   main()
 *
 */

int main (int argc, char **argv) {
	// create a configuration object
	server_config sc(argc, argv);

	// setup signals
	setup_signals();

	// run the server
	return server(sc).run();
}


